Updateded configure script

This commit is contained in:
Michiel Broek 2002-01-04 21:38:54 +00:00
parent 971a39b565
commit 09de95f205
3 changed files with 19 additions and 30 deletions

View File

@ -85,9 +85,6 @@
/* Define to 1 if NLS is requested. */
#undef ENABLE_NLS
/* Path for faillog file. */
#undef FAILLOG_FILE
/* Define to libshadow_getpass to use our own version of getpass(). */
#undef getpass
@ -112,9 +109,6 @@
/* Define if mblogin should support the -r flag for rlogind. */
#undef RLOGIN
/* Define if you have the getusershell function. */
#undef HAVE_GETUSERSHELL
/* Define if you have the getutent function. */
#undef HAVE_GETUTENT

36
configure vendored
View File

@ -3269,7 +3269,7 @@ EOF
fi
done
for ac_header in limits.h utmp.h utmpx.h sgtty.h lastlog.h rpc/key_prot.h
for ac_header in limits.h utmp.h utmpx.h lastlog.h rpc/key_prot.h
do
ac_ac_Header=`echo "ac_cv_header_$ac_header" | $ac_tr_sh`
echo "$as_me:3275: checking for $ac_header" >&5
@ -5091,7 +5091,7 @@ EOF
fi
done
for ac_func in getgroups getspnam getusershell getutent initgroups setgroups updwtmp updwtmpx
for ac_func in getspnam getutent initgroups updwtmp updwtmpx
do
ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
echo "$as_me:5097: checking for $ac_func" >&5
@ -5277,8 +5277,8 @@ echo "${ECHO_T}$utmpdir" >&6
fi
done
echo "$as_me:5280: checking location of faillog/lastlog/wtmp" >&5
echo $ECHO_N "checking location of faillog/lastlog/wtmp... $ECHO_C" >&6
echo "$as_me:5280: checking location of lastlog/wtmp" >&5
echo $ECHO_N "checking location of lastlog/wtmp... $ECHO_C" >&6
for logdir in /var/log /var/adm /usr/adm /etc; do
if test -d $logdir; then
cat >>confdefs.h <<EOF
@ -5289,11 +5289,7 @@ EOF
#define LASTLOG_FILE "$logdir/lastlog"
EOF
cat >>confdefs.h <<EOF
#define FAILLOG_FILE "$logdir/faillog"
EOF
echo "$as_me:5296: result: $logdir" >&5
echo "$as_me:5292: result: $logdir" >&5
echo "${ECHO_T}$logdir" >&6
break
fi
@ -5379,7 +5375,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:5382: creating $CONFIG_STATUS" >&5
{ echo "$as_me:5378: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -5554,7 +5550,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:5557: error: ambiguous option: $1
{ { echo "$as_me:5553: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -5581,12 +5577,12 @@ Try \`$0 --help' for more information." >&2;}
'config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
# This is an error.
-*) { { echo "$as_me:5584: error: unrecognized option: $1
-*) { { echo "$as_me:5580: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) { { echo "$as_me:5589: error: invalid argument: $1" >&5
*) { { echo "$as_me:5585: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -5825,7 +5821,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:5828: creating $ac_file" >&5
{ echo "$as_me:5824: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -5843,7 +5839,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5846: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5842: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5856,7 +5852,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5859: error: cannot find input file: $f" >&5
{ { echo "$as_me:5855: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -5916,7 +5912,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:5919: creating $ac_file" >&5
test x"$ac_file" != x- && { echo "$as_me:5915: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@ -5927,7 +5923,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5930: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5926: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5940,7 +5936,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5943: error: cannot find input file: $f" >&5
{ { echo "$as_me:5939: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -6057,7 +6053,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:6060: $ac_file is unchanged" >&5
{ echo "$as_me:6056: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \

View File

@ -119,7 +119,7 @@ AC_HEADER_TIME
AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS(fcntl.h malloc.h sys/file.h sys/ioctl.h sys/time.h termios.h syslog.h sys/vfs.h unistd.h netinet/in.h regex.h)
AC_CHECK_HEADERS(sys/resource.h usersec.h utime.h ulimit.h gshadow.h shadow.h)
AC_CHECK_HEADERS(limits.h utmp.h utmpx.h sgtty.h lastlog.h rpc/key_prot.h)
AC_CHECK_HEADERS(limits.h utmp.h utmpx.h lastlog.h rpc/key_prot.h)
AC_STRUCT_TIMEZONE
dnl Checks for typedefs, structures, and compiler characteristics.
@ -145,7 +145,7 @@ AC_FUNC_UTIME_NULL
AC_FUNC_VFORK
AC_FUNC_VPRINTF
AC_CHECK_FUNCS(getcwd gethostname gettimeofday getwd mkdir mktime putenv re_comp regcmp regcomp rmdir select socket strcspn strdup strerror strspn strstr strtol strtoul uname)
AC_CHECK_FUNCS(getgroups getspnam getusershell getutent initgroups setgroups updwtmp updwtmpx)
AC_CHECK_FUNCS(getspnam getutent initgroups updwtmp updwtmpx)
dnl Check for external programs
AC_PATH_PROG(COMPRESS,compress,no-compress-found-during-configure)
@ -178,12 +178,11 @@ for utmpdir in /var/run /var/adm /usr/adm /etc NONE; do
fi
done
AC_MSG_CHECKING(location of faillog/lastlog/wtmp)
AC_MSG_CHECKING(location of lastlog/wtmp)
for logdir in /var/log /var/adm /usr/adm /etc; do
if test -d $logdir; then
AC_DEFINE_UNQUOTED(_WTMP_FILE, "$logdir/wtmp")
AC_DEFINE_UNQUOTED(LASTLOG_FILE, "$logdir/lastlog")
AC_DEFINE_UNQUOTED(FAILLOG_FILE, "$logdir/faillog")
AC_MSG_RESULT($logdir)
break
fi